#ifndef __TROLL_H__
#define __TROLL_H__

#include "characters.h"

class troll final: public character {
	static const int REGAIN_HP = 5;
	static const int HP_CAP = 120;
public:
	troll(RNG *rng, const position &pos);
	virtual result attack(const direction dir,
			      character_list &chlist) override;
	virtual result get_hit(const enum race &race, const int afk,
			       const fraction hit_rate) override;
	
};

#endif
